Module javafx.graphics
Package javafx.css

# Class SimpleStyleableStringProperty

java.lang.Object
javafx.beans.binding.StringExpression
javafx.beans.property.ReadOnlyStringProperty
javafx.beans.property.StringProperty
javafx.beans.property.StringPropertyBase
javafx.css.StyleableStringProperty
javafx.css.SimpleStyleableStringProperty

All Implemented Interfaces:
  `Observable`, `Property<String>`, `ReadOnlyProperty<String>`, `ObservableObjectValue<String>`, `ObservableStringValue`, `ObservableValue<String>`, `WritableObjectValue<String>`, `WritableStringValue`, `WritableValue<String>`, `StyleableProperty<String>`

    public class SimpleStyleableStringProperty
    extends StyleableStringProperty

This class extends `SimpleStringProperty` and provides a full implementation of a `StyleableProperty`. This class is used to make a `StringProperty`, that would otherwise be implemented as a `SimpleStringProperty`, styleable by CSS.

Since:
  JavaFX 8.0
See Also:
  `SimpleStringProperty`, `CssMetaData`, `StyleableProperty`, `StyleableStringProperty`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SimpleStyleableStringProperty​(CssMetaData<? extends Styleable,​String> cssMetaData)` | The constructor of the `SimpleStyleableStringProperty`.
  `SimpleStyleableStringProperty​(CssMetaData<? extends Styleable,​String> cssMetaData, Object bean, String name)` | The constructor of the `SimpleStyleableStringProperty`.
  `SimpleStyleableStringProperty​(CssMetaData<? extends Styleable,​String> cssMetaData, Object bean, String name, String initialValue)` | The constructor of the `SimpleStyleableStringProperty`.
  `SimpleStyleableStringProperty​(CssMetaData<? extends Styleable,​String> cssMetaData, String initialValue)` | The constructor of the `SimpleStyleableStringProperty`.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Object` | `getBean()` | Returns the `Object` that contains this property.
  `CssMetaData<? extends Styleable,​String>` | `getCssMetaData()` | Reflect back the CssMetaData that corresponds to this `javafx.beans.property.StyleableProperty`
  `String` | `getName()` | Returns the name of this property.

  ### Methods inherited from class javafx.css.StyleableStringProperty

  `applyStyle, bind, getStyleOrigin, set`

  ### Methods inherited from class javafx.beans.property.StringPropertyBase

  `addListener, addListener, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, toString, unbind`

  ### Methods inherited from class javafx.beans.property.StringProperty

  `bindBidirectional, bindBidirectional, bindBidirectional, setValue, unbindBidirectional, unbindBidirectional`

  ### Methods inherited from class javafx.beans.binding.StringExpression

  `concat, getValue, getValueSafe, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, isEmpty, isEqualTo, isEqualTo, isEqualToIgnoreCase, isEqualToIgnoreCase, isNotEmpty, isNotEqualTo, isNotEqualTo, isNotEqualToIgnoreCase, isNotEqualToIgnoreCase, isNotNull, isNull, length, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, stringExpression`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface javafx.beans.value.ObservableValue

  `getValue`

  ### Methods inherited from interface javafx.beans.value.WritableValue

  `getValue, setValue`

- ## Constructor Details

  - ### SimpleStyleableStringProperty

    public SimpleStyleableStringProperty​(CssMetaData<? extends Styleable,​String> cssMetaData)
    The constructor of the `SimpleStyleableStringProperty`.
    Parameters:
      `cssMetaData` - the CssMetaData associated with this `StyleableProperty`

  - ### SimpleStyleableStringProperty

    public SimpleStyleableStringProperty​(CssMetaData<? extends Styleable,​String> cssMetaData, String initialValue)
    The constructor of the `SimpleStyleableStringProperty`.
    Parameters:
      `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
      `initialValue` - the initial value of the wrapped `Object`

  - ### SimpleStyleableStringProperty

    public SimpleStyleableStringProperty​(CssMetaData<? extends Styleable,​String> cssMetaData, Object bean, String name)
    The constructor of the `SimpleStyleableStringProperty`.
    Parameters:
      `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
      `bean` - the bean of this `StringProperty`
      `name` - the name of this `StringProperty`

  - ### SimpleStyleableStringProperty

    public SimpleStyleableStringProperty​(CssMetaData<? extends Styleable,​String> cssMetaData, Object bean, String name, String initialValue)
    The constructor of the `SimpleStyleableStringProperty`.
    Parameters:
      `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
      `bean` - the bean of this `StringProperty`
      `name` - the name of this `StringProperty`
      `initialValue` - the initial value of the wrapped `Object`

- ## Method Details

  - ### getBean

    public Object getBean()
    Returns the `Object` that contains this property. If this property is not contained in an `Object`, `null` is returned.
    Returns:
      the containing `Object` or `null`

  - ### getName

    public String getName()
    Returns the name of this property. If the property does not have a name, this method returns an empty `String`.
    Returns:
      the name or an empty `String`

  - ### getCssMetaData

    public final CssMetaData<? extends Styleable,​String> getCssMetaData()
    Reflect back the CssMetaData that corresponds to this `javafx.beans.property.StyleableProperty`
    Returns:
      the corresponding CssMetaData